#if 0
/***************************************************************************/
/**
*  Performs a test
*/

void DoTest( void )
{
   uns8  ch;
   uns8  onOff;
   uns8  detectCount;
   uns8  i;

   PR2 = 130;  // With TMR2 prescalar set to 1:1 this is a 38 kHz signal

   CCPR1L = 65;   // 50% duty cycle

   // T2CON - Timer 2 Control
   //
   // 7  Unused
   // 6  TOUTPS3  PostScalar selection
   // 5  TOUTPS2
   // 4  TOUTPS1
   // 3  TOUTPS0
   // 2  TMR2ON   0 = Off, 1 = On
   // 1  T2CKPS1  Prescalar selection
   // 0  T2CKPS0

   T2CON = 0b00000100;

   // CCP1CON
   //
   // 7  Unused
   // 6  Unused
   // 5  CCP1X    2 LSBs of CCPR1L
   // 4  CCP1Y 
   // 3  CCP1M3   CCP1 Mode Select Bits
   // 2  CCP1M2
   // 1  CCP1M1
   // 0  CCP1M0

   CCP1CON = 0b00001111;   // PWM Mode

   onOff = 1;

   while ( 1 )
   {
      if ( RCIF == 1 )
      {
         ch = RCREG;

         if ( ch == 'r' )
         {
            puts( "B5 = " );
            if ( IR_DETECT )
            {
               puts( "1" );
            }
            else
            {
               puts( "0" );
            }
            puts( "\r\n" );
         }

         if ( onOff )
         {
            onOff = 0;
            CCP1CON = 0b00000000;   // PWM Mode off
            puts( "PWM Off\r\n" );
         }
         else
         {
            onOff = 1;
            CCP1CON = 0b00001111;   // PWM Mode on
            puts( "PWM On\r\n" );
         }
      }

      if ( onOff )
      {
         // Wait for 600 uSec

         Delay100uSec( 6 );

         // Check to see if we're detecting anything
         //
         // Note: A zero on IR_DETECT means that we're detecting, a 1 means
         //       we're not.

         detectCount = 0;
         for ( i = 0; i < 20; i++ ) 
         {
            if ( !IR_DETECT )
            {
               detectCount++;
            }
            Delay100uSec( 1 );
         }
      }
      puts( "Detect Count: " );
      putu8( detectCount );
      puts( "\r" );
   }

} /* DoTest */
#endif


