/****************************************************************************
*
*  Puts.c
*
*  Routines for outputting strings.
*
****************************************************************************/

#pragma chip PIC16F877

// ---- Include Files -------------------------------------------------------

#include "Puts.h"

// ---- Public Variables ----------------------------------------------------

uns8  gDeferredNewline;

uns16 gPutU16;

// ---- Private Constants and Types -----------------------------------------

bank1 char buf[ 6 ];

// ---- Private Variables ---------------------------------------------------
// ---- Private Function Prototypes -----------------------------------------
// ---- Functions -----------------------------------------------------------

/****************************************************************************
*
*  Writes a number as a single digit.
*/

extern void putdigit( uns8 num )
{
   if ( num > 9 )
   {
      putc( '*' );
   }
   else
   {
      putc( num + '0' );
   }
   
} // putdigit

/****************************************************************************
*
*  Writes a single character to the serial port.
*/

extern void putc( char ch )
{
   // Wait for space in the TX buffer

   while ( TXIF == 0 ) ;

   TXREG = ch;

} // putc

/****************************************************************************
*
*  Writes an integer in ASCII form to the serial port
*/

extern void putu8( uns8 num )
{
   int   i = 0;

   do
   {
      uns8  c;

      c = num % 10;
      c += '0';
      
      buf[ i ] = c;
      i++;
      num /= 10;
      
   } while ( num != 0 );

   while ( i < 3 )
   {
      buf[ i ] = ' ';
      i++;
   }
   
   while ( i > 0 )
   {
      i--;

      putc( buf[ i ]);
   }

} // putu8

/****************************************************************************
*
*  Writes an integer in ASCII form to the serial port
*/

extern void PrintU16( void )
{
#if 1

   uns16 num;

   num =  gPutU16 & 0xFF00;
   num >>= 8;
   putu8( (uns8)num );
   putc( ':' );
   num = gPutU16 & 0x00FF;    
   putu8( (uns8)num );

#else

   int   i = 0;

   do
   {
      uns16  c;

      c = gPutU16 % 10;
      c += '0';
      
      buf[ i ] = (uns8)c;
      i++;
      gPutU16 /= 10;
      
   } while ( gPutU16 != 0 );

   puts( "i:" ); putu8( i ); putc( ' ' );

   while ( i > 0 )
   {
      i--;

      putc( buf[ i ]);
   }

   puts (" done PutU16\n" );
#endif

} // PrintU16
