/****************************************************************************
*
*  Puts.h
*
*  Routines for outputting strings.
*
****************************************************************************/

#if !defined( PUTS_H )
#define  PUTS_H

#if !defined( DEBUG_H )
#  include "Debug.h"
#endif

extern   uns8  gDeferredNewline;
extern   uns16 gPutU16;

extern   page1 void putc( char ch );
extern   page1 void putdigit( uns8 num );
extern   page1 void putu8( uns8 num );
extern   page1 void PrintU16( void );

#define  putu16(n)   gPutU16 = n; PrintU16();

/****************************************************************************
*
*  Writes a string the serial port.
*/

#if DEBUG
static void puts( const char *s )
{
   if ( gDeferredNewline )
   {
      putc( '\r' );
      putc( '\n' );
      gDeferredNewline = 0;
   }

   while ( *s )
   {
      if ( *s == '\n' )
      {
         putc( '\r' );         
      }

      putc( *s );

      s++;
   }

} // puts
#endif

#endif   // PUTS_H

