/****************************************************************************
*
*  a2d.c
*
****************************************************************************/

#pragma chip PIC16F877

#include "a2d.h"
#include "delay.h"

/***************************************************************************/
/**
*  Reads an A/D pin
*/

extern uns8 a2d( uns8 pin )
{
	// select pin
	ADCON0 = 0b10000001 | pin;

	// wait for acquisition
	Delay100uSec(1);

	// start conversion
	ADCON0 |= 0x04;

	// wait till conversion is complete
	while (ADCON0 & 0x04)
		;

	return ADRESH;

} // a2d 


